aboutsummaryrefslogtreecommitdiff
path: root/gitstatus.plugin.sh
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-08-15 09:59:44 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-08-15 09:59:44 +0300
commitf63d6a31c1348e304e40e4e0dcca750128ad2cfd (patch)
tree147d27703eceff4ff7c797ba2b5e3016686432cf /gitstatus.plugin.sh
parentcb59280c407e60d6e993c24eaddb0feb5dd373a5 (diff)
Squashed 'gitstatus/' changes from fcebf0b0..3f874d9c
3f874d9c fix bash bindings when noclobber is set; see #171 git-subtree-dir: gitstatus git-subtree-split: 3f874d9c5933d184b9b06472dcf25e8debb326a8
Diffstat (limited to 'gitstatus.plugin.sh')
-rw-r--r--gitstatus.plugin.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/gitstatus.plugin.sh b/gitstatus.plugin.sh
index 9f5b9a6e..e0cd206d 100644
--- a/gitstatus.plugin.sh
+++ b/gitstatus.plugin.sh
@@ -125,7 +125,7 @@ function gitstatus_start() {
(
local fd_in fd_out
- exec {fd_in}<"$req_fifo" {fd_out}>"$resp_fifo" || exit
+ exec {fd_in}<"$req_fifo" {fd_out}>>"$resp_fifo" || exit
echo "$BASHPID" >&"$fd_out"
local _gitstatus_bash_daemon _gitstatus_bash_version _gitstatus_bash_downloaded
@@ -197,8 +197,8 @@ function gitstatus_start() {
) & disown
} 0</dev/null &>"$GITSTATUS_DAEMON_LOG"
- exec {_GITSTATUS_REQ_FD}>"$req_fifo" {_GITSTATUS_RESP_FD}<"$resp_fifo" || return
- command rm -f -- "$req_fifo" "$resp_fifo" || return
+ exec {_GITSTATUS_REQ_FD}>>"$req_fifo" {_GITSTATUS_RESP_FD}<"$resp_fifo" || return
+ command rm -f -- "$req_fifo" "$resp_fifo" || return
[[ "$GITSTATUS_DAEMON_LOG" != /dev/null ]] || command rmdir -- "$tmpdir" 2>/dev/null
IFS='' read -r -u $_GITSTATUS_RESP_FD GITSTATUS_DAEMON_PID || return